Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

specify that dom_(id|class) are deprecated in controllers, views are …

…fine
  • Loading branch information...
commit 1ecef00a8176ccd73259c0757471cd464af88f43 1 parent a26fc5b
@fxn fxn authored
Showing with 1 addition and 1 deletion.
  1. +1 −1  guides/source/upgrading_ruby_on_rails.md
View
2  guides/source/upgrading_ruby_on_rails.md
@@ -118,7 +118,7 @@ Please read [Pull Request #9978](https://github.com/rails/rails/pull/9978) for d
* Rails 4.0 changes the default memcached client from `memcache-client` to `dalli`. To upgrade, simply add `gem 'dalli'` to your `Gemfile`.
-* Rails 4.0 deprecates the `dom_id` and `dom_class` methods. You will need to include the `ActionView::RecordIdentifier` module in controllers requiring this feature.
+* Rails 4.0 deprecates the `dom_id` and `dom_class` methods in controllers (they are fine in views). You will need to include the `ActionView::RecordIdentifier` module in controllers requiring this feature.
* Rails 4.0 changed how `assert_generates`, `assert_recognizes`, and `assert_routing` work. Now all these assertions raise `Assertion` instead of `ActionController::RoutingError`.
Please sign in to comment.
Something went wrong with that request. Please try again.